% isolate frequency bands, integrate the resulting spectrum

function [near_intertial_wide, semidiurnal_wide] = ke_integrate_wide(freq, spec, lat)

    % lat -> cor
    cor = 4 * pi * sind(abs(lat)) / 86164; % units rad/s
    cor = cor * 86400 / 2 / pi; % units cpd

    % ----- NEAR INERTIAL KE WIDE -----
    spec_near_inertial_wide = spec;

	near_inertial_wide_min = cor * 0.8; % in cpd
	near_inertial_wide_max = 1/13.12 * 24;
    
    spec_near_inertial_wide(freq < near_inertial_wide_min) = 0;
    spec_near_inertial_wide(freq > near_inertial_wide_max) = 0;
 
    near_intertial_wide = abs(trapz(freq, spec_near_inertial_wide));
    
    % ----- SEMI-DIURNAL KE WIDE -----
    spec_semidurnal_wide = spec;

	semidurnal_wide_min = 1.71; % in cpd
	semidurnal_wide_max = 2.4;
    
    spec_semidurnal_wide(freq < semidurnal_wide_min) = 0;
    spec_semidurnal_wide(freq > semidurnal_wide_max) = 0;
 
    semidiurnal_wide = abs(trapz(freq, spec_semidurnal_wide));
end
